package com.ssm.manage.service;

import com.github.pagehelper.PageInfo;
import com.ssm.core.service.BaseService;
import com.ssm.manage.entity.MemberList;
import com.ssm.manage.entity.SmsException;
import com.ssm.manage.query.MemberRequest;
import com.ssm.manage.response.MemberResponse;

public interface SsmMemberService extends BaseService<MemberList> {
    PageInfo<MemberList> selectPage(MemberRequest memberRequest);

    MemberList selectOne(MemberRequest memberRequest);

    MemberResponse addMember(MemberList memberList) throws SmsException;

    int updateMember(MemberRequest memberRequest) throws SmsException;

//    int updateState(MemberRequest memberRequest);
}
